mixed-port: 7890
allow-lan: false
bind-address: '*'
mode: rule
log-level: info
external-controller: '127.0.0.1:9090'
unified-delay: true
tcp-concurrent: true
dns:
    enable: true
    ipv6: false
    default-nameserver: [223.5.5.5, 119.29.29.29, 114.114.114.114]
    enhanced-mode: fake-ip
    fake-ip-range: 198.18.0.1/16
    use-hosts: true
    respect-rules: true
    proxy-server-nameserver: [223.5.5.5, 119.29.29.29, 114.114.114.114]
    nameserver: [223.5.5.5, 119.29.29.29, 114.114.114.114]
    fallback: [1.1.1.1, 8.8.8.8]
    fallback-filter: { geoip: true, geoip-code: CN, geosite: [gfw], ipcidr: [240.0.0.0/4], domain: [+.google.com, +.facebook.com, +.youtube.com] }
proxies:
    - {name: google-us1, server: 35.212.222.97, port: 52118, type: hysteria2, password: 18ea8d5b-f706-4267-8278-11af5264feaf, sni: www.bing.com, skip-cert-verify: true}
    - {name: oracle-us1, server: 138.2.230.135, port: 44614, type: hysteria2, password: 96530e76-f64f-4a7d-8510-2475aa1e811d, sni: www.bing.com, skip-cert-verify: true}
    - {name: microsoft-jp1, server: 48.218.138.250, port: 54206, type: hysteria2, password: d193f37d-3426-442c-a4bb-9c36c96dbf4c, sni: www.bing.com, skip-cert-verify: true}

    - name: vless-reality-vision-22-11-26-0944
      type: vless
      server: 129.150.62.149
      port: 64309
      uuid: 9be5d0fe-3ff2-473a-8843-5e1e0bb8b062
      network: tcp
      udp: true
      tls: true
      flow: xtls-rprx-vision
      servername: apple.com
      reality-opts:
        public-key: n--2d0AMbr3zHohFyooM4vEgkSA-o2LAgqqQ558zuWY
        short-id: 8d9b58df
      client-fingerprint: chrome

proxy-groups:
    - { name: GG云, type: select, proxies: [自动选择, 故障转移, vless-reality-vision-22-11-26-0944, google-us1,oracle-us1,microsoft-jp1] }
    - { name: 自动选择, type: url-test, proxies: [microsoft-jp1,google-us1,oracle-us1], url: 'http://www.gstatic.com/generate_204', interval: 86400 }
    - { name: 故障转移, type: fallback, proxies: [microsoft-jp1,google-us1], url: 'http://www.gstatic.com/generate_204', interval: 7200 }
rules:
    - 'IP-CIDR,1.1.1.1/32,GG云,no-resolve'
    - 'IP-CIDR,8.8.8.8/32,GG云,no-resolve'
    - 'DOMAIN-SUFFIX,services.googleapis.cn,GG云'
    - 'DOMAIN-SUFFIX,xn--ngstr-lra8j.com,GG云'
    - 'DOMAIN,safebrowsing.urlsec.qq.com,DIRECT'
    - 'DOMAIN,safebrowsing.googleapis.com,DIRECT'
    - 'DOMAIN,developer.apple.com,GG云'
    - 'DOMAIN-SUFFIX,digicert.com,GG云'
    - 'DOMAIN,ocsp.apple.com,GG云'
    - 'DOMAIN,ocsp.comodoca.com,GG云'
    - 'DOMAIN,ocsp.usertrust.com,GG云'
    - 'DOMAIN,ocsp.sectigo.com,GG云'
    - 'DOMAIN,ocsp.verisign.net,GG云'
    - 'DOMAIN-SUFFIX,apple-dns.net,GG云'
    - 'DOMAIN,testflight.apple.com,GG云'
    - 'DOMAIN,sandbox.itunes.apple.com,GG云'
    - 'DOMAIN,itunes.apple.com,GG云'
    - 'DOMAIN-SUFFIX,apps.apple.com,GG云'
    - 'DOMAIN-SUFFIX,blobstore.apple.com,GG云'
    - 'DOMAIN,cvws.icloud-content.com,GG云'
    - 'DOMAIN-SUFFIX,mzstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,itunes.apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud-content.com,DIRECT'
    - 'DOMAIN-SUFFIX,me.com,DIRECT'
    - 'DOMAIN-SUFFIX,aaplimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn20.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn-apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,akadns.net,DIRECT'
    - 'DOMAIN-SUFFIX,akamaiedge.net,DIRECT'
    - 'DOMAIN-SUFFIX,edgekey.net,DIRECT'
    - 'DOMAIN-SUFFIX,mwcloudcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,mwcname.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-cloudkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-mapkit.com,DIRECT'
    - 'DOMAIN,cn.bing.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.net,DIRECT'
    - 'DOMAIN-SUFFIX,127.net,DIRECT'
    - 'DOMAIN-SUFFIX,163.com,DIRECT'
    - 'DOMAIN-SUFFIX,360buyimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,36kr.com,DIRECT'
    - 'DOMAIN-SUFFIX,acfun.tv,DIRECT'
    - 'DOMAIN-SUFFIX,air-matters.com,DIRECT'
    - 'DOMAIN-SUFFIX,aixifan.com,DIRECT'
    - 'DOMAIN-KEYWORD,alicdn,DIRECT'
    - 'DOMAIN-KEYWORD,alipay,DIRECT'
    - 'DOMAIN-KEYWORD,taobao,DIRECT'
    - 'DOMAIN-SUFFIX,amap.com,DIRECT'
    - 'DOMAIN-SUFFIX,autonavi.com,DIRECT'
    - 'DOMAIN-KEYWORD,baidu,DIRECT'
    - 'DOMAIN-SUFFIX,bdimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,bdstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilibili.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilivideo.com,DIRECT'
    - 'DOMAIN-SUFFIX,caiyunapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,clouddn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbeta.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbetacdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cootekservice.com,DIRECT'
    - 'DOMAIN-SUFFIX,csdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,ctrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,dgtle.com,DIRECT'
    - 'DOMAIN-SUFFIX,dianping.com,DIRECT'
    - 'DOMAIN-SUFFIX,douban.com,DIRECT'
    - 'DOMAIN-SUFFIX,doubanio.com,DIRECT'
    - 'DOMAIN-SUFFIX,duokan.com,DIRECT'
    - 'DOMAIN-SUFFIX,easou.com,DIRECT'
    - 'DOMAIN-SUFFIX,ele.me,DIRECT'
    - 'DOMAIN-SUFFIX,feng.com,DIRECT'
    - 'DOMAIN-SUFFIX,fir.im,DIRECT'
    - 'DOMAIN-SUFFIX,frdic.com,DIRECT'
    - 'DOMAIN-SUFFIX,g-cores.com,DIRECT'
    - 'DOMAIN-SUFFIX,godic.net,DIRECT'
    - 'DOMAIN-SUFFIX,gtimg.com,DIRECT'
    - 'DOMAIN,cdn.hockeyapp.net,DIRECT'
    - 'DOMAIN-SUFFIX,hongxiu.com,DIRECT'
    - 'DOMAIN-SUFFIX,hxcdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,iciba.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifeng.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifengimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,ipip.net,DIRECT'
    - 'DOMAIN-SUFFIX,iqiyi.com,DIRECT'
    - 'DOMAIN-SUFFIX,jd.com,DIRECT'
    - 'DOMAIN-SUFFIX,jianshu.com,DIRECT'
    - 'DOMAIN-SUFFIX,knewone.com,DIRECT'
    - 'DOMAIN-SUFFIX,le.com,DIRECT'
    - 'DOMAIN-SUFFIX,lecloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,lemicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,licdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,luoo.net,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.com,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.net,DIRECT'
    - 'DOMAIN-SUFFIX,mi.com,DIRECT'
    - 'DOMAIN-SUFFIX,miaopai.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoft.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoftonline.com,DIRECT'
    - 'DOMAIN-SUFFIX,miui.com,DIRECT'
    - 'DOMAIN-SUFFIX,miwifi.com,DIRECT'
    - 'DOMAIN-SUFFIX,mob.com,DIRECT'
    - 'DOMAIN-SUFFIX,netease.com,DIRECT'
    - 'DOMAIN-SUFFIX,office.com,DIRECT'
    - 'DOMAIN-SUFFIX,office365.com,DIRECT'
    - 'DOMAIN-KEYWORD,officecdn,DIRECT'
    - 'DOMAIN-SUFFIX,oschina.net,DIRECT'
    - 'DOMAIN-SUFFIX,ppsimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,pstatp.com,DIRECT'
    - 'DOMAIN-SUFFIX,qcloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdaily.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdmm.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhres.com,DIRECT'
    - 'DOMAIN-SUFFIX,qidian.com,DIRECT'
    - 'DOMAIN-SUFFIX,qihucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniu.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiyipic.com,DIRECT'
    - 'DOMAIN-SUFFIX,qq.com,DIRECT'
    - 'DOMAIN-SUFFIX,qqurl.com,DIRECT'
    - 'DOMAIN-SUFFIX,rarbg.to,DIRECT'
    - 'DOMAIN-SUFFIX,ruguoapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,segmentfault.com,DIRECT'
    - 'DOMAIN-SUFFIX,sinaapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,smzdm.com,DIRECT'
    - 'DOMAIN-SUFFIX,snapdrop.net,DIRECT'
    - 'DOMAIN-SUFFIX,sogou.com,DIRECT'
    - 'DOMAIN-SUFFIX,sogoucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,sohu.com,DIRECT'
    - 'DOMAIN-SUFFIX,soku.com,DIRECT'
    - 'DOMAIN-SUFFIX,speedtest.net,DIRECT'
    - 'DOMAIN-SUFFIX,sspai.com,DIRECT'
    - 'DOMAIN-SUFFIX,suning.com,DIRECT'
    - 'DOMAIN-SUFFIX,taobao.com,DIRECT'
    - 'DOMAIN-SUFFIX,tencent.com,DIRECT'
    - 'DOMAIN-SUFFIX,tenpay.com,DIRECT'
    - 'DOMAIN-SUFFIX,tianyancha.com,DIRECT'
    - 'DOMAIN-SUFFIX,tmall.com,DIRECT'
    - 'DOMAIN-SUFFIX,tudou.com,DIRECT'
    - 'DOMAIN-SUFFIX,umetrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,upaiyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,upyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,veryzhun.com,DIRECT'
    - 'DOMAIN-SUFFIX,weather.com,DIRECT'
    - 'DOMAIN-SUFFIX,weibo.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.net,DIRECT'
    - 'DOMAIN-SUFFIX,xiaomicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,ximalaya.com,DIRECT'
    - 'DOMAIN-SUFFIX,xmcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,xunlei.com,DIRECT'
    - 'DOMAIN-SUFFIX,yhd.com,DIRECT'
    - 'DOMAIN-SUFFIX,yihaodianimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,yinxiang.com,DIRECT'
    - 'DOMAIN-SUFFIX,ykimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,youdao.com,DIRECT'
    - 'DOMAIN-SUFFIX,youku.com,DIRECT'
    - 'DOMAIN-SUFFIX,zealer.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhihu.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,zimuzu.tv,DIRECT'
    - 'DOMAIN-SUFFIX,zoho.com,DIRECT'
    - 'DOMAIN-KEYWORD,amazon,GG云'
    - 'DOMAIN-KEYWORD,google,GG云'
    - 'DOMAIN-KEYWORD,gmail,GG云'
    - 'DOMAIN-KEYWORD,youtube,GG云'
    - 'DOMAIN-KEYWORD,facebook,GG云'
    - 'DOMAIN-SUFFIX,fb.me,GG云'
    - 'DOMAIN-SUFFIX,fbcdn.net,GG云'
    - 'DOMAIN-KEYWORD,twitter,GG云'
    - 'DOMAIN-KEYWORD,instagram,GG云'
    - 'DOMAIN-KEYWORD,dropbox,GG云'
    - 'DOMAIN-SUFFIX,twimg.com,GG云'
    - 'DOMAIN-KEYWORD,blogspot,GG云'
    - 'DOMAIN-SUFFIX,youtu.be,GG云'
    - 'DOMAIN-KEYWORD,whatsapp,GG云'
    - 'DOMAIN-KEYWORD,admarvel,REJECT'
    - 'DOMAIN-KEYWORD,admaster,REJECT'
    - 'DOMAIN-KEYWORD,adsage,REJECT'
    - 'DOMAIN-KEYWORD,adsmogo,REJECT'
    - 'DOMAIN-KEYWORD,adsrvmedia,REJECT'
    - 'DOMAIN-KEYWORD,adwords,REJECT'
    - 'DOMAIN-KEYWORD,adservice,REJECT'
    - 'DOMAIN-SUFFIX,appsflyer.com,REJECT'
    - 'DOMAIN-KEYWORD,domob,REJECT'
    - 'DOMAIN-SUFFIX,doubleclick.net,REJECT'
    - 'DOMAIN-KEYWORD,duomeng,REJECT'
    - 'DOMAIN-KEYWORD,dwtrack,REJECT'
    - 'DOMAIN-KEYWORD,guanggao,REJECT'
    - 'DOMAIN-KEYWORD,lianmeng,REJECT'
    - 'DOMAIN-SUFFIX,mmstat.com,REJECT'
    - 'DOMAIN-KEYWORD,mopub,REJECT'
    - 'DOMAIN-KEYWORD,omgmta,REJECT'
    - 'DOMAIN-KEYWORD,openx,REJECT'
    - 'DOMAIN-KEYWORD,partnerad,REJECT'
    - 'DOMAIN-KEYWORD,pingfore,REJECT'
    - 'DOMAIN-KEYWORD,supersonicads,REJECT'
    - 'DOMAIN-KEYWORD,uedas,REJECT'
    - 'DOMAIN-KEYWORD,umeng,REJECT'
    - 'DOMAIN-KEYWORD,usage,REJECT'
    - 'DOMAIN-SUFFIX,vungle.com,REJECT'
    - 'DOMAIN-KEYWORD,wlmonitor,REJECT'
    - 'DOMAIN-KEYWORD,zjtoolbar,REJECT'
    - 'DOMAIN-SUFFIX,9to5mac.com,GG云'
    - 'DOMAIN-SUFFIX,abpchina.org,GG云'
    - 'DOMAIN-SUFFIX,adblockplus.org,GG云'
    - 'DOMAIN-SUFFIX,adobe.com,GG云'
    - 'DOMAIN-SUFFIX,akamaized.net,GG云'
    - 'DOMAIN-SUFFIX,alfredapp.com,GG云'
    - 'DOMAIN-SUFFIX,amplitude.com,GG云'
    - 'DOMAIN-SUFFIX,ampproject.org,GG云'
    - 'DOMAIN-SUFFIX,android.com,GG云'
    - 'DOMAIN-SUFFIX,angularjs.org,GG云'
    - 'DOMAIN-SUFFIX,aolcdn.com,GG云'
    - 'DOMAIN-SUFFIX,apkpure.com,GG云'
    - 'DOMAIN-SUFFIX,appledaily.com,GG云'
    - 'DOMAIN-SUFFIX,appshopper.com,GG云'
    - 'DOMAIN-SUFFIX,appspot.com,GG云'
    - 'DOMAIN-SUFFIX,arcgis.com,GG云'
    - 'DOMAIN-SUFFIX,archive.org,GG云'
    - 'DOMAIN-SUFFIX,armorgames.com,GG云'
    - 'DOMAIN-SUFFIX,aspnetcdn.com,GG云'
    - 'DOMAIN-SUFFIX,att.com,GG云'
    - 'DOMAIN-SUFFIX,awsstatic.com,GG云'
    - 'DOMAIN-SUFFIX,azureedge.net,GG云'
    - 'DOMAIN-SUFFIX,azurewebsites.net,GG云'
    - 'DOMAIN-SUFFIX,bing.com,GG云'
    - 'DOMAIN-SUFFIX,bintray.com,GG云'
    - 'DOMAIN-SUFFIX,bit.com,GG云'
    - 'DOMAIN-SUFFIX,bit.ly,GG云'
    - 'DOMAIN-SUFFIX,bitbucket.org,GG云'
    - 'DOMAIN-SUFFIX,bjango.com,GG云'
    - 'DOMAIN-SUFFIX,bkrtx.com,GG云'
    - 'DOMAIN-SUFFIX,blog.com,GG云'
    - 'DOMAIN-SUFFIX,blogcdn.com,GG云'
    - 'DOMAIN-SUFFIX,blogger.com,GG云'
    - 'DOMAIN-SUFFIX,blogsmithmedia.com,GG云'
    - 'DOMAIN-SUFFIX,blogspot.com,GG云'
    - 'DOMAIN-SUFFIX,blogspot.hk,GG云'
    - 'DOMAIN-SUFFIX,bloomberg.com,GG云'
    - 'DOMAIN-SUFFIX,box.com,GG云'
    - 'DOMAIN-SUFFIX,box.net,GG云'
    - 'DOMAIN-SUFFIX,cachefly.net,GG云'
    - 'DOMAIN-SUFFIX,chromium.org,GG云'
    - 'DOMAIN-SUFFIX,cl.ly,GG云'
    - 'DOMAIN-SUFFIX,cloudflare.com,GG云'
    - 'DOMAIN-SUFFIX,cloudfront.net,GG云'
    - 'DOMAIN-SUFFIX,cloudmagic.com,GG云'
    - 'DOMAIN-SUFFIX,cmail19.com,GG云'
    - 'DOMAIN-SUFFIX,cnet.com,GG云'
    - 'DOMAIN-SUFFIX,cocoapods.org,GG云'
    - 'DOMAIN-SUFFIX,comodoca.com,GG云'
    - 'DOMAIN-SUFFIX,crashlytics.com,GG云'
    - 'DOMAIN-SUFFIX,culturedcode.com,GG云'
    - 'DOMAIN-SUFFIX,d.pr,GG云'
    - 'DOMAIN-SUFFIX,danilo.to,GG云'
    - 'DOMAIN-SUFFIX,dayone.me,GG云'
    - 'DOMAIN-SUFFIX,db.tt,GG云'
    - 'DOMAIN-SUFFIX,deskconnect.com,GG云'
    - 'DOMAIN-SUFFIX,disq.us,GG云'
    - 'DOMAIN-SUFFIX,disqus.com,GG云'
    - 'DOMAIN-SUFFIX,disquscdn.com,GG云'
    - 'DOMAIN-SUFFIX,dnsimple.com,GG云'
    - 'DOMAIN-SUFFIX,docker.com,GG云'
    - 'DOMAIN-SUFFIX,dribbble.com,GG云'
    - 'DOMAIN-SUFFIX,droplr.com,GG云'
    - 'DOMAIN-SUFFIX,duckduckgo.com,GG云'
    - 'DOMAIN-SUFFIX,dueapp.com,GG云'
    - 'DOMAIN-SUFFIX,dytt8.net,GG云'
    - 'DOMAIN-SUFFIX,edgecastcdn.net,GG云'
    - 'DOMAIN-SUFFIX,edgekey.net,GG云'
    - 'DOMAIN-SUFFIX,edgesuite.net,GG云'
    - 'DOMAIN-SUFFIX,engadget.com,GG云'
    - 'DOMAIN-SUFFIX,entrust.net,GG云'
    - 'DOMAIN-SUFFIX,eurekavpt.com,GG云'
    - 'DOMAIN-SUFFIX,evernote.com,GG云'
    - 'DOMAIN-SUFFIX,fabric.io,GG云'
    - 'DOMAIN-SUFFIX,fast.com,GG云'
    - 'DOMAIN-SUFFIX,fastly.net,GG云'
    - 'DOMAIN-SUFFIX,fc2.com,GG云'
    - 'DOMAIN-SUFFIX,feedburner.com,GG云'
    - 'DOMAIN-SUFFIX,feedly.com,GG云'
    - 'DOMAIN-SUFFIX,feedsportal.com,GG云'
    - 'DOMAIN-SUFFIX,fiftythree.com,GG云'
    - 'DOMAIN-SUFFIX,firebaseio.com,GG云'
    - 'DOMAIN-SUFFIX,flexibits.com,GG云'
    - 'DOMAIN-SUFFIX,flickr.com,GG云'
    - 'DOMAIN-SUFFIX,flipboard.com,GG云'
    - 'DOMAIN-SUFFIX,g.co,GG云'
    - 'DOMAIN-SUFFIX,gabia.net,GG云'
    - 'DOMAIN-SUFFIX,geni.us,GG云'
    - 'DOMAIN-SUFFIX,gfx.ms,GG云'
    - 'DOMAIN-SUFFIX,ggpht.com,GG云'
    - 'DOMAIN-SUFFIX,ghostnoteapp.com,GG云'
    - 'DOMAIN-SUFFIX,git.io,GG云'
    - 'DOMAIN-KEYWORD,github,GG云'
    - 'DOMAIN-SUFFIX,globalsign.com,GG云'
    - 'DOMAIN-SUFFIX,gmodules.com,GG云'
    - 'DOMAIN-SUFFIX,godaddy.com,GG云'
    - 'DOMAIN-SUFFIX,golang.org,GG云'
    - 'DOMAIN-SUFFIX,gongm.in,GG云'
    - 'DOMAIN-SUFFIX,goo.gl,GG云'
    - 'DOMAIN-SUFFIX,goodreaders.com,GG云'
    - 'DOMAIN-SUFFIX,goodreads.com,GG云'
    - 'DOMAIN-SUFFIX,gravatar.com,GG云'
    - 'DOMAIN-SUFFIX,gstatic.com,GG云'
    - 'DOMAIN-SUFFIX,gvt0.com,GG云'
    - 'DOMAIN-SUFFIX,hockeyapp.net,GG云'
    - 'DOMAIN-SUFFIX,hotmail.com,GG云'
    - 'DOMAIN-SUFFIX,icons8.com,GG云'
    - 'DOMAIN-SUFFIX,ifixit.com,GG云'
    - 'DOMAIN-SUFFIX,ift.tt,GG云'
    - 'DOMAIN-SUFFIX,ifttt.com,GG云'
    - 'DOMAIN-SUFFIX,iherb.com,GG云'
    - 'DOMAIN-SUFFIX,imageshack.us,GG云'
    - 'DOMAIN-SUFFIX,img.ly,GG云'
    - 'DOMAIN-SUFFIX,imgur.com,GG云'
    - 'DOMAIN-SUFFIX,imore.com,GG云'
    - 'DOMAIN-SUFFIX,instapaper.com,GG云'
    - 'DOMAIN-SUFFIX,ipn.li,GG云'
    - 'DOMAIN-SUFFIX,is.gd,GG云'
    - 'DOMAIN-SUFFIX,issuu.com,GG云'
    - 'DOMAIN-SUFFIX,itgonglun.com,GG云'
    - 'DOMAIN-SUFFIX,itun.es,GG云'
    - 'DOMAIN-SUFFIX,ixquick.com,GG云'
    - 'DOMAIN-SUFFIX,j.mp,GG云'
    - 'DOMAIN-SUFFIX,js.revsci.net,GG云'
    - 'DOMAIN-SUFFIX,jshint.com,GG云'
    - 'DOMAIN-SUFFIX,jtvnw.net,GG云'
    - 'DOMAIN-SUFFIX,justgetflux.com,GG云'
    - 'DOMAIN-SUFFIX,kat.cr,GG云'
    - 'DOMAIN-SUFFIX,klip.me,GG云'
    - 'DOMAIN-SUFFIX,libsyn.com,GG云'
    - 'DOMAIN-SUFFIX,linkedin.com,GG云'
    - 'DOMAIN-SUFFIX,line-apps.com,GG云'
    - 'DOMAIN-SUFFIX,linode.com,GG云'
    - 'DOMAIN-SUFFIX,lithium.com,GG云'
    - 'DOMAIN-SUFFIX,littlehj.com,GG云'
    - 'DOMAIN-SUFFIX,live.com,GG云'
    - 'DOMAIN-SUFFIX,live.net,GG云'
    - 'DOMAIN-SUFFIX,livefilestore.com,GG云'
    - 'DOMAIN-SUFFIX,llnwd.net,GG云'
    - 'DOMAIN-SUFFIX,macid.co,GG云'
    - 'DOMAIN-SUFFIX,macromedia.com,GG云'
    - 'DOMAIN-SUFFIX,macrumors.com,GG云'
    - 'DOMAIN-SUFFIX,mashable.com,GG云'
    - 'DOMAIN-SUFFIX,mathjax.org,GG云'
    - 'DOMAIN-SUFFIX,medium.com,GG云'
    - 'DOMAIN-SUFFIX,mega.co.nz,GG云'
    - 'DOMAIN-SUFFIX,mega.nz,GG云'
    - 'DOMAIN-SUFFIX,megaupload.com,GG云'
    - 'DOMAIN-SUFFIX,microsofttranslator.com,GG云'
    - 'DOMAIN-SUFFIX,mindnode.com,GG云'
    - 'DOMAIN-SUFFIX,mobile01.com,GG云'
    - 'DOMAIN-SUFFIX,modmyi.com,GG云'
    - 'DOMAIN-SUFFIX,msedge.net,GG云'
    - 'DOMAIN-SUFFIX,myfontastic.com,GG云'
    - 'DOMAIN-SUFFIX,name.com,GG云'
    - 'DOMAIN-SUFFIX,nextmedia.com,GG云'
    - 'DOMAIN-SUFFIX,nsstatic.net,GG云'
    - 'DOMAIN-SUFFIX,nssurge.com,GG云'
    - 'DOMAIN-SUFFIX,nyt.com,GG云'
    - 'DOMAIN-SUFFIX,nytimes.com,GG云'
    - 'DOMAIN-SUFFIX,omnigroup.com,GG云'
    - 'DOMAIN-SUFFIX,onedrive.com,GG云'
    - 'DOMAIN-SUFFIX,onenote.com,GG云'
    - 'DOMAIN-SUFFIX,ooyala.com,GG云'
    - 'DOMAIN-SUFFIX,openvpn.net,GG云'
    - 'DOMAIN-SUFFIX,openwrt.org,GG云'
    - 'DOMAIN-SUFFIX,orkut.com,GG云'
    - 'DOMAIN-SUFFIX,osxdaily.com,GG云'
    - 'DOMAIN-SUFFIX,outlook.com,GG云'
    - 'DOMAIN-SUFFIX,ow.ly,GG云'
    - 'DOMAIN-SUFFIX,paddleapi.com,GG云'
    - 'DOMAIN-SUFFIX,parallels.com,GG云'
    - 'DOMAIN-SUFFIX,parse.com,GG云'
    - 'DOMAIN-SUFFIX,pdfexpert.com,GG云'
    - 'DOMAIN-SUFFIX,periscope.tv,GG云'
    - 'DOMAIN-SUFFIX,pinboard.in,GG云'
    - 'DOMAIN-SUFFIX,pinterest.com,GG云'
    - 'DOMAIN-SUFFIX,pixelmator.com,GG云'
    - 'DOMAIN-SUFFIX,pixiv.net,GG云'
    - 'DOMAIN-SUFFIX,playpcesor.com,GG云'
    - 'DOMAIN-SUFFIX,playstation.com,GG云'
    - 'DOMAIN-SUFFIX,playstation.com.hk,GG云'
    - 'DOMAIN-SUFFIX,playstation.net,GG云'
    - 'DOMAIN-SUFFIX,playstationnetwork.com,GG云'
    - 'DOMAIN-SUFFIX,pushwoosh.com,GG云'
    - 'DOMAIN-SUFFIX,rime.im,GG云'
    - 'DOMAIN-SUFFIX,servebom.com,GG云'
    - 'DOMAIN-SUFFIX,sfx.ms,GG云'
    - 'DOMAIN-SUFFIX,shadowsocks.org,GG云'
    - 'DOMAIN-SUFFIX,sharethis.com,GG云'
    - 'DOMAIN-SUFFIX,shazam.com,GG云'
    - 'DOMAIN-SUFFIX,skype.com,GG云'
    - 'DOMAIN-SUFFIX,smartdnsGG云.com,GG云'
    - 'DOMAIN-SUFFIX,smartmailcloud.com,GG云'
    - 'DOMAIN-SUFFIX,sndcdn.com,GG云'
    - 'DOMAIN-SUFFIX,sony.com,GG云'
    - 'DOMAIN-SUFFIX,soundcloud.com,GG云'
    - 'DOMAIN-SUFFIX,sourceforge.net,GG云'
    - 'DOMAIN-SUFFIX,spotify.com,GG云'
    - 'DOMAIN-SUFFIX,squarespace.com,GG云'
    - 'DOMAIN-SUFFIX,sstatic.net,GG云'
    - 'DOMAIN-SUFFIX,st.luluku.pw,GG云'
    - 'DOMAIN-SUFFIX,stackoverflow.com,GG云'
    - 'DOMAIN-SUFFIX,startpage.com,GG云'
    - 'DOMAIN-SUFFIX,staticflickr.com,GG云'
    - 'DOMAIN-SUFFIX,steamcommunity.com,GG云'
    - 'DOMAIN-SUFFIX,symauth.com,GG云'
    - 'DOMAIN-SUFFIX,symcb.com,GG云'
    - 'DOMAIN-SUFFIX,symcd.com,GG云'
    - 'DOMAIN-SUFFIX,tapbots.com,GG云'
    - 'DOMAIN-SUFFIX,tapbots.net,GG云'
    - 'DOMAIN-SUFFIX,tdesktop.com,GG云'
    - 'DOMAIN-SUFFIX,techcrunch.com,GG云'
    - 'DOMAIN-SUFFIX,techsmith.com,GG云'
    - 'DOMAIN-SUFFIX,thepiratebay.org,GG云'
    - 'DOMAIN-SUFFIX,theverge.com,GG云'
    - 'DOMAIN-SUFFIX,time.com,GG云'
    - 'DOMAIN-SUFFIX,timeinc.net,GG云'
    - 'DOMAIN-SUFFIX,tiny.cc,GG云'
    - 'DOMAIN-SUFFIX,tinypic.com,GG云'
    - 'DOMAIN-SUFFIX,tmblr.co,GG云'
    - 'DOMAIN-SUFFIX,todoist.com,GG云'
    - 'DOMAIN-SUFFIX,trello.com,GG云'
    - 'DOMAIN-SUFFIX,trustasiassl.com,GG云'
    - 'DOMAIN-SUFFIX,tumblr.co,GG云'
    - 'DOMAIN-SUFFIX,tumblr.com,GG云'
    - 'DOMAIN-SUFFIX,tweetdeck.com,GG云'
    - 'DOMAIN-SUFFIX,tweetmarker.net,GG云'
    - 'DOMAIN-SUFFIX,twitch.tv,GG云'
    - 'DOMAIN-SUFFIX,txmblr.com,GG云'
    - 'DOMAIN-SUFFIX,typekit.net,GG云'
    - 'DOMAIN-SUFFIX,ubertags.com,GG云'
    - 'DOMAIN-SUFFIX,ublock.org,GG云'
    - 'DOMAIN-SUFFIX,ubnt.com,GG云'
    - 'DOMAIN-SUFFIX,ulyssesapp.com,GG云'
    - 'DOMAIN-SUFFIX,urchin.com,GG云'
    - 'DOMAIN-SUFFIX,usertrust.com,GG云'
    - 'DOMAIN-SUFFIX,v.gd,GG云'
    - 'DOMAIN-SUFFIX,v2ex.com,GG云'
    - 'DOMAIN-SUFFIX,vimeo.com,GG云'
    - 'DOMAIN-SUFFIX,vimeocdn.com,GG云'
    - 'DOMAIN-SUFFIX,vine.co,GG云'
    - 'DOMAIN-SUFFIX,vivaldi.com,GG云'
    - 'DOMAIN-SUFFIX,vox-cdn.com,GG云'
    - 'DOMAIN-SUFFIX,vsco.co,GG云'
    - 'DOMAIN-SUFFIX,vultr.com,GG云'
    - 'DOMAIN-SUFFIX,w.org,GG云'
    - 'DOMAIN-SUFFIX,w3schools.com,GG云'
    - 'DOMAIN-SUFFIX,webtype.com,GG云'
    - 'DOMAIN-SUFFIX,wikiwand.com,GG云'
    - 'DOMAIN-SUFFIX,wikileaks.org,GG云'
    - 'DOMAIN-SUFFIX,wikimedia.org,GG云'
    - 'DOMAIN-SUFFIX,wikipedia.com,GG云'
    - 'DOMAIN-SUFFIX,wikipedia.org,GG云'
    - 'DOMAIN-SUFFIX,windows.com,GG云'
    - 'DOMAIN-SUFFIX,windows.net,GG云'
    - 'DOMAIN-SUFFIX,wire.com,GG云'
    - 'DOMAIN-SUFFIX,wordpress.com,GG云'
    - 'DOMAIN-SUFFIX,workflowy.com,GG云'
    - 'DOMAIN-SUFFIX,wp.com,GG云'
    - 'DOMAIN-SUFFIX,wsj.com,GG云'
    - 'DOMAIN-SUFFIX,wsj.net,GG云'
    - 'DOMAIN-SUFFIX,xda-developers.com,GG云'
    - 'DOMAIN-SUFFIX,xeeno.com,GG云'
    - 'DOMAIN-SUFFIX,xiti.com,GG云'
    - 'DOMAIN-SUFFIX,yahoo.com,GG云'
    - 'DOMAIN-SUFFIX,yimg.com,GG云'
    - 'DOMAIN-SUFFIX,ying.com,GG云'
    - 'DOMAIN-SUFFIX,yoyo.org,GG云'
    - 'DOMAIN-SUFFIX,ytimg.com,GG云'
    - 'DOMAIN-SUFFIX,telegra.ph,GG云'
    - 'DOMAIN-SUFFIX,telegram.org,GG云'
    - 'IP-CIDR,91.108.4.0/22,GG云,no-resolve'
    - 'IP-CIDR,91.108.8.0/21,GG云,no-resolve'
    - 'IP-CIDR,91.108.16.0/22,GG云,no-resolve'
    - 'IP-CIDR,91.108.56.0/22,GG云,no-resolve'
    - 'IP-CIDR,149.154.160.0/20,GG云,no-resolve'
    - 'IP-CIDR6,2001:67c:4e8::/48,GG云,no-resolve'
    - 'IP-CIDR6,2001:b28:f23d::/48,GG云,no-resolve'
    - 'IP-CIDR6,2001:b28:f23f::/48,GG云,no-resolve'
    - 'IP-CIDR,120.232.181.162/32,GG云,no-resolve'
    - 'IP-CIDR,120.241.147.226/32,GG云,no-resolve'
    - 'IP-CIDR,120.253.253.226/32,GG云,no-resolve'
    - 'IP-CIDR,120.253.255.162/32,GG云,no-resolve'
    - 'IP-CIDR,120.253.255.34/32,GG云,no-resolve'
    - 'IP-CIDR,120.253.255.98/32,GG云,no-resolve'
    - 'IP-CIDR,180.163.150.162/32,GG云,no-resolve'
    - 'IP-CIDR,180.163.150.34/32,GG云,no-resolve'
    - 'IP-CIDR,180.163.151.162/32,GG云,no-resolve'
    - 'IP-CIDR,180.163.151.34/32,GG云,no-resolve'
    - 'IP-CIDR,203.208.39.0/24,GG云,no-resolve'
    - 'IP-CIDR,203.208.40.0/24,GG云,no-resolve'
    - 'IP-CIDR,203.208.41.0/24,GG云,no-resolve'
    - 'IP-CIDR,203.208.43.0/24,GG云,no-resolve'
    - 'IP-CIDR,203.208.50.0/24,GG云,no-resolve'
    - 'IP-CIDR,220.181.174.162/32,GG云,no-resolve'
    - 'IP-CIDR,220.181.174.226/32,GG云,no-resolve'
    - 'IP-CIDR,220.181.174.34/32,GG云,no-resolve'
    - 'DOMAIN,injections.adguard.org,DIRECT'
    - 'DOMAIN,local.adguard.org,DIRECT'
    - 'DOMAIN-SUFFIX,local,DIRECT'
    - 'IP-CIDR,127.0.0.0/8,DIRECT'
    - 'IP-CIDR,172.16.0.0/12,DIRECT'
    - 'IP-CIDR,192.168.0.0/16,DIRECT'
    - 'IP-CIDR,10.0.0.0/8,DIRECT'
    - 'IP-CIDR,17.0.0.0/8,DIRECT'
    - 'IP-CIDR,100.64.0.0/10,DIRECT'
    - 'IP-CIDR,224.0.0.0/4,DIRECT'
    - 'IP-CIDR6,fe80::/10,DIRECT'
    - 'DOMAIN-SUFFIX,cn,DIRECT'
    - 'DOMAIN-KEYWORD,-cn,DIRECT'
    - 'GEOIP,CN,DIRECT'
    - 'MATCH,GG云'
